Name:           rtems-sbuild
Version:        0.1
Release:        0.20110708.1%{?dist}
Summary:        RTEMS sbuild chroots setup

Group:          RTEMS
License:        GPLv2+
URL:            http://www.rtems.org
BuildArch:      noarch
Source0:        ftp://ftp.rtems.org/pub/rtems/SOURCES/infrastructure/%{name}-%{version}.tar.xz

BuildRequires:  schroot sbuild
Requires:       schroot sbuild

%description
%{summary}

%prep
%setup -q


%pre
if [ $1 -eq 1 ]; then
    groupadd -r sbuild >/dev/null 2>&1 || :
fi


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
for d in $RPM_BUILD_ROOT%{_sysconfdir}/schroot/chroot.d/*; do
mkdir -p $RPM_BUILD_ROOT/srv/chroot/$(basename $d -sbuild);
done

%files
%defattr(-,root,root,-)
%doc COPYING
%config(noreplace) %{_sysconfdir}/schroot
/srv/chroot

%changelog
* Fri Jul 08 2011 Ralf Corsépius <ralf.corsepius@rtems.org> - 0.1-20110708.1
- First public release.
